From 85017dbba00578b909c7d33625f8b205faa33974 Mon Sep 17 00:00:00 2001
From: Alexander Brown <drjkl@comfy.org>
Date: Wed, 3 Sep 2025 12:37:43 -0700
Subject: [PATCH 35/77] Upgrade: Tailwind v4 (#5246)

* temp: move tailwind calls out of the layer

* temp: ts tailwind config

* upgrade: Tailwind v4
This got a little out of hand.
Had to add a relative reference to the stylesheet in any component that uses @apply instead of the utility classes directly.

* upgrade: bg-opacity is now a modifier

* fix: Classic menu buttons assume a border

* Update test expectations [skip ci]

* fix: New preflight removal pattern

* fix: Skeletons don't have skin

* Update test expectations [skip ci]

* fix: Missing @reference

* [auto-fix] Apply ESLint and Prettier fixes

---------

Co-authored-by: github-actions <github-actions@github.com>
Co-authored-by: GitHub Action <action@github.com>
---
 .../assets/workflowInMedia/workflow.glb       | Bin 8716 -> 8718 bytes
 ...color-palette-light-red-chromium-linux.png | Bin 140247 -> 140298 bytes
 ...bsidian-dark-all-colors-chromium-linux.png | Bin 134242 -> 134408 bytes
 ...r-palette-obsidian-dark-chromium-linux.png | Bin 99725 -> 100072 bytes
 .../default-color-palette-chromium-linux.png  | Bin 136211 -> 135857 bytes
 .../node-lightened-colors-chromium-linux.png  | Bin 140247 -> 140298 bytes
 ...e-opacity-0-2-arc-theme-chromium-linux.png | Bin 161275 -> 161112 bytes
 ...acity-0-3-color-changed-chromium-linux.png | Bin 153269 -> 153411 bytes
 ...acity-0-3-color-removed-chromium-linux.png | Bin 152678 -> 152843 bytes
 .../node-opacity-0-5-chromium-linux.png       | Bin 149334 -> 149196 bytes
 .../node-opacity-1-chromium-linux.png         | Bin 136211 -> 135857 bytes
 .../copied-node-chromium-linux.png            | Bin 104693 -> 104501 bytes
 .../copied-node-with-link-chromium-linux.png  | Bin 115409 -> 115182 bytes
 .../copied-widget-value-chromium-linux.png    | Bin 98347 -> 98318 bytes
 .../drag-copy-copied-node-chromium-linux.png  | Bin 104656 -> 104563 bytes
 .../no-node-copied-chromium-linux.png         | Bin 98039 -> 98006 bytes
 ...-node-previously-copied-chromium-linux.png | Bin 102713 -> 102661 bytes
 ...-error-unconnected-slot-chromium-linux.png | Bin 97262 -> 97242 bytes
 ...anvas-with-hidden-links-chromium-linux.png | Bin 87651 -> 87747 bytes
 ...nvas-with-visible-links-chromium-linux.png | Bin 102606 -> 102556 bytes
 .../adjusted-widget-value-chromium-linux.png  | Bin 98033 -> 98001 bytes
 ...nect-links-disconnected-chromium-linux.png | Bin 91865 -> 91897 bytes
 .../batch-move-links-chromium-linux.png       | Bin 78271 -> 77119 bytes
 .../batch-move-links-moved-chromium-linux.png | Bin 78170 -> 77235 bytes
 .../default-chromium-2x-linux.png             | Bin 101022 -> 100935 bytes
 .../default-chromium-linux.png                | Bin 98005 -> 97973 bytes
 .../deleted-all-chromium-linux.png            | Bin 38220 -> 37393 bytes
 .../disconnected-edge-chromium-linux.png      | Bin 94199 -> 94222 bytes
 .../dragged-node1-chromium-linux.png          | Bin 100821 -> 100912 bytes
 .../dragging-link1-chromium-linux.png         | Bin 97636 -> 97612 bytes
 .../dragging-link2-chromium-linux.png         | Bin 93085 -> 93378 bytes
 .../group-fit-to-contents-chromium-linux.png  | Bin 63579 -> 64924 bytes
 .../group-selected-nodes-chromium-linux.png   | Bin 108352 -> 108355 bytes
 .../group-title-edited-chromium-linux.png     | Bin 62878 -> 62919 bytes
 .../legacy-alt-shift-drag-chromium-linux.png  | Bin 90514 -> 90367 bytes
 ...egacy-click-node-select-chromium-linux.png | Bin 99492 -> 99493 bytes
 .../legacy-left-drag-pan-chromium-linux.png   | Bin 90514 -> 90367 bytes
 .../legacy-middle-drag-pan-chromium-linux.png | Bin 90514 -> 90367 bytes
 .../legacy-wheel-zoom-in-chromium-linux.png   | Bin 101352 -> 101437 bytes
 .../legacy-wheel-zoom-out-chromium-linux.png  | Bin 98005 -> 97973 bytes
 .../moved-link-chromium-linux.png             | Bin 96514 -> 96483 bytes
 .../node-title-edited-chromium-linux.png      | Bin 58289 -> 58558 bytes
 .../nodes-bypassed-chromium-linux.png         | Bin 113045 -> 113124 bytes
 .../nodes-pinned-chromium-linux.png           | Bin 104084 -> 104115 bytes
 .../nodes-unbypassed-chromium-linux.png       | Bin 103234 -> 103289 bytes
 .../nodes-unpinned-chromium-linux.png         | Bin 103234 -> 103289 bytes
 .../panned-back-from-far-chromium-linux.png   | Bin 42553 -> 42272 bytes
 .../panned-back-to-one-chromium-linux.png     | Bin 98005 -> 97973 bytes
 .../panned-back-to-two-chromium-linux.png     | Bin 54550 -> 54808 bytes
 .../panned-chromium-linux.png                 | Bin 72843 -> 72990 bytes
 .../panned-far-away-chromium-linux.png        | Bin 37816 -> 37393 bytes
 .../panned-step-one-chromium-linux.png        | Bin 54550 -> 54808 bytes
 .../panned-step-two-chromium-linux.png        | Bin 42553 -> 42272 bytes
 .../panned-touch-mobile-chrome-linux.png      | Bin 7359 -> 9337 bytes
 ...ning-when-dragging-link-chromium-linux.png | Bin 89881 -> 89788 bytes
 .../pinned-all-chromium-linux.png             | Bin 79270 -> 80449 bytes
 .../prompt-dialog-closed-chromium-linux.png   | Bin 98005 -> 97973 bytes
 ...ompt-dialog-closed-text-chromium-linux.png | Bin 42813 -> 41977 bytes
 .../prompt-dialog-opened-chromium-linux.png   | Bin 101543 -> 101505 bytes
 ...ompt-dialog-opened-text-chromium-linux.png | Bin 46317 -> 45576 bytes
 .../selected-all-chromium-linux.png           | Bin 76069 -> 77334 bytes
 .../selected-node1-chromium-2x-linux.png      | Bin 102388 -> 102436 bytes
 .../selected-node1-chromium-linux.png         | Bin 99492 -> 99493 bytes
 .../selected-node2-chromium-2x-linux.png      | Bin 103311 -> 103364 bytes
 .../selected-node2-chromium-linux.png         | Bin 99411 -> 99437 bytes
 .../single-ksampler-chromium-linux.png        | Bin 57707 -> 57867 bytes
 .../single-ksampler-fit-chromium-linux.png    | Bin 57707 -> 57867 bytes
 ...ingle-ksampler-modified-chromium-linux.png | Bin 39467 -> 39058 bytes
 .../snap-to-slot-chromium-linux.png           | Bin 68675 -> 68980 bytes
 .../snap-to-slot-linked-chromium-linux.png    | Bin 75234 -> 75345 bytes
 .../snapped-highlighted-chromium-linux.png    | Bin 97369 -> 97412 bytes
 ...ndard-click-node-select-chromium-linux.png | Bin 99492 -> 99493 bytes
 ...dard-ctrl-wheel-zoom-in-chromium-linux.png | Bin 101352 -> 101437 bytes
 ...ard-ctrl-wheel-zoom-out-chromium-linux.png | Bin 98005 -> 97973 bytes
 .../standard-initial-chromium-linux.png       | Bin 99411 -> 99438 bytes
 ...andard-left-drag-select-chromium-linux.png | Bin 103234 -> 103289 bytes
 ...tandard-middle-drag-pan-chromium-linux.png | Bin 90514 -> 90367 bytes
 ...-shift-wheel-pan-center-chromium-linux.png | Bin 100409 -> 100274 bytes
 ...rd-shift-wheel-pan-left-chromium-linux.png | Bin 99411 -> 99438 bytes
 ...d-shift-wheel-pan-right-chromium-linux.png | Bin 100409 -> 100274 bytes
 ...standard-space-drag-pan-chromium-linux.png | Bin 92050 -> 91915 bytes
 .../string-input-chromium-linux.png           | Bin 42069 -> 41259 bytes
 .../string-node-id-chromium-linux.png         | Bin 97662 -> 97589 bytes
 ...ncode-toggled-back-open-chromium-linux.png | Bin 98150 -> 98117 bytes
 ...text-encode-toggled-off-chromium-linux.png | Bin 102608 -> 102635 bytes
 .../unpinned-all-chromium-linux.png           | Bin 76069 -> 77334 bytes
 .../zoomed-back-in-chromium-linux.png         | Bin 98005 -> 97973 bytes
 ...omed-default-ctrl-shift-chromium-linux.png | Bin 67058 -> 67198 bytes
 .../zoomed-in-chromium-linux.png              | Bin 99310 -> 99185 bytes
 .../zoomed-in-ctrl-shift-chromium-linux.png   | Bin 68759 -> 68639 bytes
 ...omed-in-high-zoom-speed-chromium-linux.png | Bin 33060 -> 32489 bytes
 ...oomed-in-low-zoom-speed-chromium-linux.png | Bin 96636 -> 96610 bytes
 .../zoomed-out-chromium-linux.png             | Bin 98005 -> 97973 bytes
 .../zoomed-out-ctrl-shift-chromium-linux.png  | Bin 36346 -> 36370 bytes
 ...med-out-high-zoom-speed-chromium-linux.png | Bin 33695 -> 33867 bytes
 ...omed-out-low-zoom-speed-chromium-linux.png | Bin 95603 -> 95807 bytes
 .../zoomed-very-far-out-chromium-linux.png    | Bin 35413 -> 35368 bytes
 ...hidream-dev-example-png-chromium-linux.png | Bin 143820 -> 143381 bytes
 .../edited-workflow-webp-chromium-linux.png   | Bin 100220 -> 100420 bytes
 .../large-workflow-webp-chromium-linux.png    | Bin 100278 -> 100000 bytes
 .../no-workflow-webp-chromium-linux.png       | Bin 109997 -> 110071 bytes
 .../workflow-m4v-chromium-linux.png           | Bin 59345 -> 58281 bytes
 .../workflow-mov-chromium-linux.png           | Bin 59345 -> 58281 bytes
 .../workflow-mp4-chromium-linux.png           | Bin 59345 -> 58281 bytes
 .../workflow-svg-chromium-linux.png           | Bin 100220 -> 100420 bytes
 .../workflow-webm-chromium-linux.png          | Bin 58068 -> 57412 bytes
 .../workflow-webp-chromium-linux.png          | Bin 100220 -> 100420 bytes
 ...ode-badge-Hide-built-in-chromium-linux.png | Bin 44974 -> 43870 bytes
 .../node-badge-None-chromium-linux.png        | Bin 43299 -> 42494 bytes
 .../node-badge-Show-all-chromium-linux.png    | Bin 46261 -> 45255 bytes
 .../node-badge-chromium-linux.png             | Bin 102465 -> 102210 bytes
 .../node-badge-left-chromium-linux.png        | Bin 102887 -> 102678 bytes
 ...dge-light-color-palette-chromium-linux.png | Bin 104043 -> 104277 bytes
 .../node-badge-multiple-chromium-linux.png    | Bin 105669 -> 105435 bytes
 ...e-unknown-color-palette-chromium-linux.png | Bin 107577 -> 107354 bytes
 .../default-input-chromium-linux.png          | Bin 45026 -> 44024 bytes
 ...dynamically-added-input-chromium-linux.png | Bin 58822 -> 58949 bytes
 .../force-input-chromium-linux.png            | Bin 43858 -> 43028 bytes
 ...-nodes-converted-widget-chromium-linux.png | Bin 59468 -> 59033 bytes
 .../optional-input-chromium-linux.png         | Bin 43837 -> 42959 bytes
 .../simple-slider-chromium-linux.png          | Bin 40746 -> 41127 bytes
 .../added-node-chromium-linux.png             | Bin 115396 -> 115332 bytes
 ...dded-node-no-connection-chromium-linux.png | Bin 106139 -> 106100 bytes
 .../auto-linked-node-batch-chromium-linux.png | Bin 85389 -> 84005 bytes
 .../auto-linked-node-chromium-linux.png       | Bin 98181 -> 98058 bytes
 ...ink-context-menu-search-chromium-linux.png | Bin 98181 -> 98058 bytes
 ...nk-release-context-menu-chromium-linux.png | Bin 105096 -> 105161 bytes
 .../note-nodes-chromium-linux.png             | Bin 44492 -> 44074 bytes
 .../primitive-node-chromium-linux.png         | Bin 64227 -> 64814 bytes
 ...rimitive-node-connected-chromium-linux.png | Bin 64957 -> 65387 bytes
 ...de-connected-dom-widget-chromium-linux.png | Bin 48886 -> 48081 bytes
 ...tic-primitive-connected-chromium-linux.png | Bin 64419 -> 64739 bytes
 ...-reroute-alt-click-chromium-0-5x-linux.png | Bin 108574 -> 108374 bytes
 ...ve-reroute-alt-click-chromium-2x-linux.png | Bin 101355 -> 101287 bytes
 ...ative-reroute-alt-click-chromium-linux.png | Bin 98325 -> 98288 bytes
 .../native-reroute-chromium-linux.png         | Bin 56091 -> 55094 bytes
 ...ve-reroute-context-menu-chromium-linux.png | Bin 98237 -> 98196 bytes
 ...m-midpoint-context-menu-chromium-linux.png | Bin 94199 -> 94222 bytes
 .../reroute-inserted-chromium-linux.png       | Bin 29559 -> 30111 bytes
 .../add-group-group-added-chromium-linux.png  | Bin 100010 -> 99947 bytes
 .../add-node-node-added-chromium-linux.png    | Bin 101305 -> 101171 bytes
 .../node-pinned-chromium-linux.png            | Bin 99451 -> 99412 bytes
 .../right-click-menu-chromium-linux.png       | Bin 108801 -> 108785 bytes
 ...ght-click-node-bypassed-chromium-linux.png | Bin 99692 -> 99640 bytes
 .../right-click-node-chromium-linux.png       | Bin 107300 -> 107465 bytes
 ...ck-node-collapsed-badge-chromium-linux.png | Bin 96263 -> 96186 bytes
 ...ht-click-node-collapsed-chromium-linux.png | Bin 93010 -> 93009 bytes
 ...t-click-node-group-node-chromium-linux.png | Bin 108081 -> 108510 bytes
 ...k-node-properties-panel-chromium-linux.png | Bin 100746 -> 100732 bytes
 ...right-click-pinned-node-chromium-linux.png | Bin 109324 -> 109315 bytes
 ...ght-click-unpinned-node-chromium-linux.png | Bin 107300 -> 107465 bytes
 ...ick-unpinned-node-moved-chromium-linux.png | Bin 98044 -> 98020 bytes
 .../selected-2-nodes-chromium-linux.png       | Bin 103234 -> 103289 bytes
 .../selected-nodes-pinned-chromium-linux.png  | Bin 105379 -> 105402 bytes
 ...selected-nodes-unpinned-chromium-linux.png | Bin 104187 -> 104179 bytes
 ...x-multiple-nodes-border-chromium-linux.png | Bin 105679 -> 105738 bytes
 ...tiple-selections-border-chromium-linux.png | Bin 105679 -> 105738 bytes
 ...x-single-node-no-border-chromium-linux.png | Bin 101282 -> 101680 bytes
 ...gle-selection-no-border-chromium-linux.png | Bin 101703 -> 101680 bytes
 .../template-grid-mobile-chromium-linux.png   | Bin 90328 -> 90329 bytes
 .../template-grid-tablet-chromium-linux.png   | Bin 181968 -> 181975 bytes
 ...mage-preview-saved-webp-chromium-linux.png | Bin 172400 -> 172735 bytes
 .../boolean-widget-chromium-linux.png         | Bin 41976 -> 41847 bytes
 .../boolean-widget-toggled-chromium-linux.png | Bin 42037 -> 41897 bytes
 ...tent-resized-80-percent-chromium-linux.png | Bin 98202 -> 98180 bytes
 ...-changed-by-combo-value-chromium-linux.png | Bin 50663 -> 50135 bytes
 ...review-drag-and-dropped-chromium-linux.png | Bin 50663 -> 50135 bytes
 .../ksampler-widget-added-chromium-linux.png  | Bin 59837 -> 59943 bytes
 .../load-audio-widget-chromium-linux.png      | Bin 46191 -> 45362 bytes
 ...point-resized-min-width-chromium-linux.png | Bin 104069 -> 104027 bytes
 .../load-image-widget-chromium-linux.png      | Bin 56184 -> 55657 bytes
 .../resized-to-original-chromium-linux.png    | Bin 98021 -> 97982 bytes
 .../seed-widget-dragged-chromium-linux.png    | Bin 45186 -> 44382 bytes
 .../slider-widget-dragged-chromium-linux.png  | Bin 40788 -> 41181 bytes
 knip.config.ts                                |   2 +-
 package.json                                  |   5 +-
 pnpm-lock.yaml                                | 789 ++++++++++--------
 pnpm-workspace.yaml                           |   1 +
 postcss.config.js                             |   6 -
 public/materialdesignicons.min.css            |   4 +-
 src/assets/css/style.css                      |  13 +-
 .../LiteGraphCanvasSplitterOverlay.vue        |   2 +
 src/components/MenuHamburger.vue              |   4 +-
 src/components/actionbar/ComfyActionbar.vue   |   4 +-
 src/components/bottomPanel/BottomPanel.vue    |   4 +-
 .../tabs/shortcuts/ShortcutsList.vue          |   4 +-
 .../breadcrumb/SubgraphBreadcrumb.vue         |   4 +
 .../breadcrumb/SubgraphBreadcrumbItem.vue     |   4 +-
 src/components/button/IconGroup.vue           |   2 +-
 src/components/button/IconTextButton.vue      |   2 +-
 src/components/card/CardContainer.vue         |   6 +-
 src/components/card/CardTop.vue               |   4 +-
 src/components/chip/SquareChip.vue            |   2 +-
 src/components/common/FormItem.vue            |   4 +-
 src/components/common/SearchBox.vue           |   2 +
 src/components/common/SearchFilterChip.vue    |   2 +
 src/components/common/TextDivider.vue         |   2 +-
 src/components/dialog/GlobalDialog.vue        |   2 +
 .../content/ManagerProgressDialogContent.vue  |   2 +-
 .../dialog/content/SettingDialogContent.vue   |   2 +-
 .../manager/infoPanel/tabs/NodesTabPanel.vue  |   2 +-
 .../content/manager/packBanner/PackBanner.vue |   2 +-
 .../manager/skeleton/PackCardSkeleton.vue     |   8 +-
 .../dialog/content/setting/CreditsPanel.vue   |   2 +-
 .../content/setting/KeybindingPanel.vue       |   2 +
 .../dialog/content/setting/PanelTemplate.vue  |   2 +-
 .../dialog/content/signin/SignInForm.vue      |   2 +
 src/components/graph/GraphCanvasMenu.vue      |  22 +-
 src/components/graph/MiniMap.vue              |   2 +-
 .../graph/modals/ZoomControlsModal.vue        |  12 +-
 .../selectionToolbox/ColorPickerButton.vue    |   2 +
 .../graph/widgets/ChatHistoryWidget.vue       |   4 +-
 src/components/graph/widgets/DomWidget.vue    |   2 +
 .../graph/widgets/TextPreviewWidget.vue       |   2 +-
 .../graph/widgets/chatHistory/CopyButton.vue  |   4 +-
 src/components/input/MultiSelect.vue          |   6 +-
 src/components/input/SearchBox.vue            |   2 +-
 src/components/input/SingleSelect.vue         |   4 +-
 src/components/install/GpuPicker.vue          |   6 +-
 src/components/load3d/Load3DControls.vue      |  11 +-
 src/components/load3d/LoadingOverlay.vue      |   2 +-
 .../load3d/controls/CameraControls.vue        |   2 +-
 .../load3d/controls/ExportControls.vue        |   2 +-
 .../load3d/controls/LightControls.vue         |   2 +-
 .../load3d/controls/ModelControls.vue         |   6 +-
 .../load3d/controls/RecordingControls.vue     |   2 +-
 .../load3d/controls/ViewerControls.vue        |   2 +-
 src/components/maintenance/TaskCard.vue       |   2 +
 src/components/node/NodePreview.spec.ts       |   6 +-
 src/components/node/NodePreview.vue           |   2 +-
 src/components/searchbox/NodeSearchBox.vue    |   2 +-
 src/components/searchbox/NodeSearchFilter.vue |   2 +
 src/components/sidebar/SidebarIcon.vue        |   2 +
 .../sidebar/tabs/ModelLibrarySidebarTab.vue   |   2 +-
 .../sidebar/tabs/NodeLibrarySidebarTab.vue    |   2 +-
 .../sidebar/tabs/SidebarTabTemplate.vue       |   6 +-
 .../sidebar/tabs/WorkflowsSidebarTab.vue      |   2 +-
 .../sidebar/tabs/nodeLibrary/NodeHelpPage.vue |  10 +-
 .../sidebar/tabs/nodeLibrary/NodeTreeLeaf.vue |   2 +
 src/components/topbar/CommandMenubar.vue      |   2 +
 src/components/topbar/CurrentUserButton.vue   |   4 +-
 src/components/topbar/CurrentUserPopover.vue  |   2 +-
 src/components/topbar/TopMenubar.vue          |   8 +-
 src/components/topbar/WorkflowTab.vue         |   2 +
 src/components/topbar/WorkflowTabPopover.vue  |   4 +
 src/components/topbar/WorkflowTabs.vue        |   8 +-
 .../widget/layout/BaseWidgetLayout.vue        |   2 +-
 src/components/widget/nav/NavItem.vue         |   2 +-
 src/extensions/core/maskeditor.ts             |   2 +-
 src/main.ts                                   |   2 +-
 src/services/dialogService.ts                 |  18 +-
 src/types/buttonTypes.ts                      |   4 +-
 src/types/comfyRegistryTypes.ts               |   2 +-
 src/views/DesktopUpdateView.vue               |   2 +
 src/views/DownloadGitView.vue                 |   2 +-
 src/views/InstallView.vue                     |   2 +
 src/views/MaintenanceView.vue                 |   4 +-
 src/views/NotSupportedView.vue                |   2 +
 src/views/UserSelectView.vue                  |   2 +-
 src/views/WelcomeView.vue                     |   2 +
 src/views/templates/BaseViewTemplate.vue      |   6 +-
 tailwind.config.js => tailwind.config.ts      |   7 +-
 vite.config.mts                               |   2 +
 263 files changed, 640 insertions(+), 488 deletions(-)
 delete mode 100644 postcss.config.js
 rename tailwind.config.js => tailwind.config.ts (97%)

diff --git a/knip.config.ts b/knip.config.ts
index 2b694c2aa..800831eb9 100644
--- a/knip.config.ts
+++ b/knip.config.ts
@@ -7,7 +7,7 @@ const config: KnipConfig = {
     'vite.electron.config.mts',
     'vite.types.config.mts',
     'eslint.config.js',
-    'tailwind.config.js',
+    'tailwind.config.ts',
     'postcss.config.js',
     'playwright.config.ts',
     'playwright.i18n.config.ts',
diff --git a/src/components/LiteGraphCanvasSplitterOverlay.vue b/src/components/LiteGraphCanvasSplitterOverlay.vue
index 6ac456cb5..bd5070250 100644
--- a/src/components/LiteGraphCanvasSplitterOverlay.vue
+++ b/src/components/LiteGraphCanvasSplitterOverlay.vue
@@ -79,6 +79,8 @@ const sidebarStateKey = computed(() => {
 </script>
 
 <style scoped>
+@reference '../assets/css/style.css';
+
 :deep(.p-splitter-gutter) {
   pointer-events: auto;
 }
diff --git a/src/components/MenuHamburger.vue b/src/components/MenuHamburger.vue
index 9d248f905..58c725763 100644
--- a/src/components/MenuHamburger.vue
+++ b/src/components/MenuHamburger.vue
@@ -56,7 +56,9 @@ const positionCSS = computed<CSSProperties>(() =>
 </script>
 
 <style scoped>
+@reference '../assets/css/style.css';
+
 .comfy-menu-hamburger {
-  @apply fixed z-[9999] flex flex-row;
+  @apply fixed z-9999 flex flex-row;
 }
 </style>
diff --git a/src/components/actionbar/ComfyActionbar.vue b/src/components/actionbar/ComfyActionbar.vue
index 4389fcf59..24b3f8858 100644
--- a/src/components/actionbar/ComfyActionbar.vue
+++ b/src/components/actionbar/ComfyActionbar.vue
@@ -5,7 +5,7 @@
     :class="{ 'is-dragging': isDragging, 'is-docked': isDocked }"
   >
     <div ref="panelRef" class="actionbar-content flex items-center select-none">
-      <span ref="dragHandleRef" class="drag-handle cursor-move mr-2 p-0!" />
+      <span ref="dragHandleRef" class="drag-handle cursor-move mr-2" />
       <ComfyQueueButton />
     </div>
   </Panel>
@@ -228,6 +228,8 @@ watch([isDragging, isOverlappingWithTopMenu], ([dragging, overlapping]) => {
 </script>
 
 <style scoped>
+@reference '../../assets/css/style.css';
+
 .actionbar {
   pointer-events: all;
   position: fixed;
diff --git a/src/components/bottomPanel/BottomPanel.vue b/src/components/bottomPanel/BottomPanel.vue
index 0aff9442d..0ed71bffa 100644
--- a/src/components/bottomPanel/BottomPanel.vue
+++ b/src/components/bottomPanel/BottomPanel.vue
@@ -40,8 +40,8 @@
         </div>
       </TabList>
     </Tabs>
-    <!-- h-0 to force the div to flex-grow -->
-    <div class="flex-grow h-0">
+    <!-- h-0 to force the div to grow -->
+    <div class="grow h-0">
       <ExtensionSlot
         v-if="
           bottomPanelStore.bottomPanelVisible &&
diff --git a/src/components/bottomPanel/tabs/shortcuts/ShortcutsList.vue b/src/components/bottomPanel/tabs/shortcuts/ShortcutsList.vue
index 2a5e84f79..7bc8cbf25 100644
--- a/src/components/bottomPanel/tabs/shortcuts/ShortcutsList.vue
+++ b/src/components/bottomPanel/tabs/shortcuts/ShortcutsList.vue
@@ -18,13 +18,13 @@
             :key="command.id"
             class="shortcut-item flex justify-between items-center py-2 rounded hover:bg-surface-100 dark-theme:hover:bg-surface-700 transition-colors duration-200"
           >
-            <div class="shortcut-info flex-grow pr-4">
+            <div class="shortcut-info grow pr-4">
               <div class="shortcut-name text-sm font-medium">
                 {{ t(`commands.${normalizeI18nKey(command.id)}.label`) }}
               </div>
             </div>
 
-            <div class="keybinding-display flex-shrink-0">
+            <div class="keybinding-display shrink-0">
               <div
                 class="keybinding-combo flex gap-1"
                 :aria-label="`Keyboard shortcut: ${command.keybinding!.combo.getKeySequences().join(' + ')}`"
diff --git a/src/components/breadcrumb/SubgraphBreadcrumb.vue b/src/components/breadcrumb/SubgraphBreadcrumb.vue
index cd34babab..af6324aa9 100644
--- a/src/components/breadcrumb/SubgraphBreadcrumb.vue
+++ b/src/components/breadcrumb/SubgraphBreadcrumb.vue
@@ -156,6 +156,8 @@ onUpdated(() => {
 </script>
 
 <style scoped>
+@reference '../../assets/css/style.css';
+
 .subgraph-breadcrumb:not(:empty) {
   flex: auto;
   flex-shrink: 10000;
@@ -196,6 +198,8 @@ onUpdated(() => {
 </style>
 
 <style>
+@reference '../../assets/css/style.css';
+
 .subgraph-breadcrumb-collapse .p-breadcrumb-list {
   .p-breadcrumb-item,
   .p-breadcrumb-separator {
diff --git a/src/components/breadcrumb/SubgraphBreadcrumbItem.vue b/src/components/breadcrumb/SubgraphBreadcrumbItem.vue
index 2e00e0666..b980c0e2d 100644
--- a/src/components/breadcrumb/SubgraphBreadcrumbItem.vue
+++ b/src/components/breadcrumb/SubgraphBreadcrumbItem.vue
@@ -36,7 +36,7 @@
     v-if="isEditing"
     ref="itemInputRef"
     v-model="itemLabel"
-    class="fixed z-[10000] text-[.8rem] px-2 py-2"
+    class="fixed z-10000 text-[.8rem] px-2 py-2"
     @blur="inputBlur(true)"
     @click.stop
     @keydown.enter="inputBlur(true)"
@@ -211,6 +211,8 @@ const inputBlur = async (doRename: boolean) => {
 </script>
 
 <style scoped>
+@reference '../../assets/css/style.css';
+
 .p-breadcrumb-item-link,
 .p-breadcrumb-item-icon {
   @apply select-none;
diff --git a/src/components/button/IconGroup.vue b/src/components/button/IconGroup.vue
index 082da5a76..784a945eb 100644
--- a/src/components/button/IconGroup.vue
+++ b/src/components/button/IconGroup.vue
@@ -1,6 +1,6 @@
 <template>
   <div
-    class="flex justify-center items-center flex-shrink-0 outline-none border-none p-0 bg-white text-neutral-950 dark-theme:bg-zinc-700 dark-theme:text-white rounded-lg cursor-pointer"
+    class="flex justify-center items-center shrink-0 outline-hidden border-none p-0 bg-white text-neutral-950 dark-theme:bg-zinc-700 dark-theme:text-white rounded-lg cursor-pointer"
   >
     <slot></slot>
   </div>
diff --git a/src/components/button/IconTextButton.vue b/src/components/button/IconTextButton.vue
index 8bcdc3bf1..656761757 100644
--- a/src/components/button/IconTextButton.vue
+++ b/src/components/button/IconTextButton.vue
@@ -36,7 +36,7 @@ const {
 } = defineProps<IconTextButtonProps>()
 
 const buttonStyle = computed(() => {
-  const baseClasses = `${getBaseButtonClasses()} !justify-start gap-2`
+  const baseClasses = `${getBaseButtonClasses()} justify-start! gap-2`
   const sizeClasses = getButtonSizeClasses(size)
   const typeClasses = border
     ? getBorderButtonTypeClasses(type)
diff --git a/src/components/card/CardContainer.vue b/src/components/card/CardContainer.vue
index ebcac78e8..e3204ee51 100644
--- a/src/components/card/CardContainer.vue
+++ b/src/components/card/CardContainer.vue
@@ -23,9 +23,9 @@ const containerClasses = computed(() => {
     'flex flex-col bg-white dark-theme:bg-zinc-800 rounded-lg shadow-sm border border-zinc-200 dark-theme:border-zinc-700 overflow-hidden'
 
   const ratioClasses = {
-    square: 'aspect-[256/308]',
-    portrait: 'aspect-[256/325]',
-    tallPortrait: 'aspect-[256/353]'
+    square: 'aspect-256/308',
+    portrait: 'aspect-256/325',
+    tallPortrait: 'aspect-256/353'
   }
 
   return `${baseClasses} ${ratioClasses[ratio]}`
diff --git a/src/components/card/CardTop.vue b/src/components/card/CardTop.vue
index 24ad56971..ed7e26089 100644
--- a/src/components/card/CardTop.vue
+++ b/src/components/card/CardTop.vue
@@ -31,8 +31,8 @@ const topStyle = computed(() => {
   const baseClasses = 'relative p-0'
 
   const ratioClasses = {
-    square: 'aspect-[1/1]',
-    landscape: 'aspect-[48/27]'
+    square: 'aspect-square',
+    landscape: 'aspect-48/27'
   }
 
   return `${baseClasses} ${ratioClasses[ratio]}`
diff --git a/src/components/chip/SquareChip.vue b/src/components/chip/SquareChip.vue
index 3c3abee14..c886b089b 100644
--- a/src/components/chip/SquareChip.vue
+++ b/src/components/chip/SquareChip.vue
@@ -1,6 +1,6 @@
 <template>
   <div
-    class="inline-flex justify-center items-center gap-1 flex-shrink-0 py-1 px-2 text-xs bg-[#D9D9D966]/40 rounded font-bold text-white/90"
+    class="inline-flex justify-center items-center gap-1 shrink-0 py-1 px-2 text-xs bg-[#D9D9D966]/40 rounded font-bold text-white/90"
   >
     <slot name="icon" class="text-xs text-white/90"></slot>
     <span>{{ label }}</span>
diff --git a/src/components/common/FormItem.vue b/src/components/common/FormItem.vue
index 4de5ddd4c..d719f615d 100644
--- a/src/components/common/FormItem.vue
+++ b/src/components/common/FormItem.vue
@@ -1,7 +1,7 @@
 <!-- A generalized form item for rendering in a form. -->
 <template>
   <div class="flex flex-row items-center gap-2">
-    <div class="form-label flex flex-grow items-center">
+    <div class="form-label flex grow items-center">
       <span
         :id="`${props.id}-label`"
         class="text-muted"
@@ -112,6 +112,8 @@ function getFormComponent(item: FormItem): Component {
 </script>
 
 <style scoped>
+@reference '../../assets/css/style.css';
+
 .form-input :deep(.input-slider) .p-inputnumber input,
 .form-input :deep(.input-slider) .slider-part {
   @apply w-20;
diff --git a/src/components/common/SearchBox.vue b/src/components/common/SearchBox.vue
index de9b64d19..605af4d4a 100644
--- a/src/components/common/SearchBox.vue
+++ b/src/components/common/SearchBox.vue
@@ -91,6 +91,8 @@ const clearSearch = () => {
 </script>
 
 <style scoped>
+@reference '../../assets/css/style.css';
+
 :deep(.p-inputtext) {
   --p-form-field-padding-x: 0.625rem;
 }
diff --git a/src/components/common/SearchFilterChip.vue b/src/components/common/SearchFilterChip.vue
index a1519cfa7..d4cd7704b 100644
--- a/src/components/common/SearchFilterChip.vue
+++ b/src/components/common/SearchFilterChip.vue
@@ -23,6 +23,8 @@ defineEmits(['remove'])
 </script>
 
 <style scoped>
+@reference '../../assets/css/style.css';
+
 :deep(.i-badge) {
   @apply bg-green-500 text-white;
 }
diff --git a/src/components/common/TextDivider.vue b/src/components/common/TextDivider.vue
index a98d36c6c..d8ec59348 100644
--- a/src/components/common/TextDivider.vue
+++ b/src/components/common/TextDivider.vue
@@ -1,7 +1,7 @@
 <template>
   <div class="flex items-center">
     <span v-if="position === 'left'" class="mr-2 shrink-0">{{ text }}</span>
-    <Divider :align="align" :type="type" :layout="layout" class="flex-grow" />
+    <Divider :align="align" :type="type" :layout="layout" class="grow" />
     <span v-if="position === 'right'" class="ml-2 shrink-0">{{ text }}</span>
   </div>
 </template>
diff --git a/src/components/dialog/GlobalDialog.vue b/src/components/dialog/GlobalDialog.vue
index 6edd13d35..4566b0684 100644
--- a/src/components/dialog/GlobalDialog.vue
+++ b/src/components/dialog/GlobalDialog.vue
@@ -43,6 +43,8 @@ const dialogStore = useDialogStore()
 </script>
 
 <style>
+@reference '../../assets/css/style.css';
+
 .global-dialog .p-dialog-header {
   @apply p-2 2xl:p-[var(--p-dialog-header-padding)];
   @apply pb-0;
diff --git a/src/components/dialog/content/ManagerProgressDialogContent.vue b/src/components/dialog/content/ManagerProgressDialogContent.vue
index d9d7218d7..6aad68a91 100644
--- a/src/components/dialog/content/ManagerProgressDialogContent.vue
+++ b/src/components/dialog/content/ManagerProgressDialogContent.vue
@@ -59,7 +59,7 @@
             class="overflow-y-auto h-64 rounded-lg bg-black"
             :class="{
               'h-64': index !== focusedLogs.length - 1,
-              'flex-grow': index === focusedLogs.length - 1
+              grow: index === focusedLogs.length - 1
             }"
             @scroll="handleScroll"
           >
diff --git a/src/components/dialog/content/SettingDialogContent.vue b/src/components/dialog/content/SettingDialogContent.vue
index 247a853f9..9f6eb3216 100644
--- a/src/components/dialog/content/SettingDialogContent.vue
+++ b/src/components/dialog/content/SettingDialogContent.vue
@@ -1,6 +1,6 @@
 <template>
   <div class="settings-container">
-    <ScrollPanel class="settings-sidebar flex-shrink-0 p-2 w-48 2xl:w-64">
+    <ScrollPanel class="settings-sidebar shrink-0 p-2 w-48 2xl:w-64">
       <SearchBox
         v-model:modelValue="searchQuery"
         class="settings-search-box w-full mb-2"
diff --git a/src/components/dialog/content/manager/infoPanel/tabs/NodesTabPanel.vue b/src/components/dialog/content/manager/infoPanel/tabs/NodesTabPanel.vue
index 6126de081..51ad06b93 100644
--- a/src/components/dialog/content/manager/infoPanel/tabs/NodesTabPanel.vue
+++ b/src/components/dialog/content/manager/infoPanel/tabs/NodesTabPanel.vue
@@ -6,7 +6,7 @@
         :key="createNodeDefKey(nodeDef)"
         class="border rounded-lg p-4"
       >
-        <NodePreview :node-def="nodeDef" class="!text-[.625rem] !min-w-full" />
+        <NodePreview :node-def="nodeDef" class="text-[.625rem]! min-w-full!" />
       </div>
     </template>
     <template v-else-if="isLoading">
